WineHQ

Euro Truck Simulator 2

No Screenshot

Submit Screenshot

Adds multiplayer to Eurotruck Simulator 2 


Application Details:

Version: TruckersMP 0.2.x
License: Free to use
URL: http://www.eurotrucksimulator2...
Votes: 0
Latest Rating: Gold
Latest Wine Version Tested: 3.4-staging

Maintainers: About Maintainership

Free Download Download

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works

-Everything except the launcher 


What does not

-The official launcher 

Workarounds

Use the unofficial launcher 

What was not tested

-Nothing

Hardware tested

Graphics:

  • GPU:
  • Driver:

Additional Comments

I recommend enabling CSMT for better performance

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowArch Linux x86_64Nov 30 -00013.4-stagingN/A Yes YesGoldKacper 
ShowUbuntu 16.04 "Xenial" amd64 (+ variants like Kubuntu)Oct 29 20172.19-stagingYes Yes YesGoldKacper 
CurrentArch Linux x86_64Feb 13 20172.10-stagingYes Yes YesGoldKacper 
ShowArch Linux x86_64Jan 10 20172.0-rc4Yes Yes YesGoldKacper 
ShowUbuntu 16.04 "Xenial" amd64 (+ variants like Kubuntu)Jan 05 20172.0-rc3Yes No GarbageKacper 

Known Bugs

Bug # Description Status Resolution Other apps affected
40137 Euro Truck Simulator 2 - Multiplayer does not work UNCONFIRMED View

Show all bugs

HowTo / Notes

Read Me!

It works only with the unofficial launcher which doesn't use .net.

https://github.com/lhark/truckersmp-cli 

Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

Cannot validate game version. Would you like to try again?
by NothingSerious on Sunday January 24th 2016, 7:40
I downloaded ets2mp from the extension page.
Whenever I try to start the mod following error message appears:"Cannot validate game version. Would you like to try again?" re-appearing after clicking on "Yes".

According to: forum.ets2mp.com/index.php?/topic/25576-wine-and-ets2mp/ this is caused because of "schannel (windows' builtin ssl facilities)" which is used by the ets2mp developers.

Does any of you guys have a solution to this?
Could one somehow tell wine to use that schannel as well?

It is such a pitty that I can not run the multiplayer mod on Linux :/.
RE: Cannot validate game version. Would you like to try again?
by Quimby on Friday February 12th 2016, 9:23
The multiplayer mod for American Truck Simulator faces this same issue.
RE: Cannot validate game version. Would you like to try again?
by Buck Shockley on Friday February 12th 2016, 17:37
Submitted a bug report for schannel. We'll see how it goes.
RE: Cannot validate game version. Would you like to try again?
by Anna on Sunday February 28th 2016, 7:32
Hey. The reason is not the work of the game can be NO Framevork?
It does not work on the 64x that requires the game.
Sorry I do not speak English. c2n.me/3uUCfha
RE: Cannot validate game version. Would you like to try again?
by NothingSerious on Monday February 29th 2016, 4:21
Can someone confirm on that? Have the impression the screenshot might be pretty helpful?!
RE: Cannot validate game version. Would you like to try again?
by Jonathan Prince on Saturday May 14th 2016, 13:53
It is the same for me - it did work a while back though (about a year)
RE: Cannot validate game version. Would you like to try again?
by Kacper on Saturday July 2nd 2016, 13:46
No solution to that :/ Only thing i know is that it works on some distros.
Back